function saveSvgToFile(svg, file) {
    var svgData = svg.outerHTML;
    var svgBlob = new Blob([svgData], {type:"image/svg+xml;charset=utf-8"});
    var svgUrl = URL.createObjectURL(svgBlob);
    var downloadLink = document.createElement("a");
    downloadLink.href = svgUrl;
    downloadLink.download = file;
    downloadLink.innerHTML = "Click me";
    document.body.appendChild(downloadLink);
    //downloadLink.click();
    //document.body.removeChild(downloadLink);
}

var chart = c3.generate({
    bindto: '#chart',
    data: {
      columns: [
        ['data1', 30, 200, 100, 400, 150, 250],
        ['data2', 50, 20, 10, 40, 15, 25]
      ]
    }
});

saveSvgToFile(document.getElementsByTagName("svg")[0], "graph1.svg")
